<?php

namespace Modules\Fournisseur\Rules;

use Entity\Model\AoEntet;
use Entity\Model\Fourniss;
use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class SousFamille
{
    /** @var ServerRequestInterface $request */
    protected ServerRequestInterface $request;

    /** @var \PDO $pdo */
    protected \PDO $pdo;

    /** @var Main $main */
    protected $main;

    public function __construct(ServerRequestInterface  $request, \PDO $pdo)
    {
        $this->request              = $request;
        $this->pdo                  = $pdo;
        $this->main                 = new Main($this->request, $this->pdo);
    }

    public function sousFamille() : bool
    {
        return $this->main->generateDroitCreate();
    }


    /**
     * @return bool
     */
    public function sousFamilleModification(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupAjoutSousFamille(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAjoutSousFamille(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationSuppression(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxSuppresionSousFamille(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxSousFamilleTableau(): bool
    {
        return true;
    }
}
